package com.tax.zone.mapper;

import com.tax.zone.model.FinZoneInfo;
import com.tax.zone.model.ZoneModel;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface FinZoneInfoMapper {
    int deleteByPrimaryKey(String zoneCode);

    int insert(FinZoneInfo record);

    int insertSelective(FinZoneInfo record);

    FinZoneInfo selectByPrimaryKey(String zoneCode);

    int updateByPrimaryKeySelective(FinZoneInfo record);

    int updateByPrimaryKey(FinZoneInfo record);

    List<FinZoneInfo> selectAllList(ZoneModel model);
}